Subject: Re: [PATCH v2 net-next 0/7] rtnetlink: allow selected handlers to run without rtnl

From: Florian Westphal <[email-masked]>
Date: Thu, 10 Aug 2017 13:29:39 +0200

David Ahern <[email-masked]> wrote:

> On 8/9/17 6:21 PM, David Miller wrote:
> > 
> > Ok series applied, let's see where this goes :-)
> > 
> 
> 1 hour in, 1 problem reported

Its even worse.  Would you rather see a revert?

I'm sure that you are aware that the widespread rtnl usage is a
problem because it does hurt scalability. I still think its worth trying
to disentangle this where possible.

I should have fixes for the reported fallout soon.
Alternatively, I can send a revert plus patch to add ASSERT_RTNL in
one more spot.